## trac 0.8.1

=== doc/trac-guide/Makefile ===
DOCFILE_BASE_DEFAULT:=trac-guide
DOCFILE_EXT_DEFAULT:=xml

SVNVERSION = svnversion
BOOK_VERSION_SOURCE =  version.xml

# Standard docfile processing as copied from UFFI
# Placed into public domain by author Kevin Rosenberg

ifndef DOCFILE_BASE
DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
endif

ifndef DOCFILE_EXT
DOCFILE_EXT=${DOCFILE_EXT_DEFAULT}
endif

DOCFILE:=${DOCFILE_BASE}.${DOCFILE_EXT}
FOFILE:=${DOCFILE_BASE}.fo
PDFFILE:=${DOCFILE_BASE}.pdf
PSFILE:=${DOCFILE_BASE}.ps
DVIFILE:=${DOCFILE_BASE}.dvi
TXTFILE:=${DOCFILE_BASE}.txt
HTMLFILE:=${DOCFILE_BASE}.html
TMPFILES:=${DOCFILE_BASE}.aux ${DOCFILE_BASE}.out ${DOCFILE_BASE}.log
DOCFILES:=$(shell echo *.xml *.xsl)

ifeq ($(XSLTPROC),)
  XSLTPROC:=xsltproc
endif

CATALOG:=`pwd`/catalog-debian.xml
CHECK:=XML_CATALOG_FILES="$(CATALOG)" xmllint --noout --xinclude --postvalid $(DOCFILE) || exit 1

.PHONY: all
all: html 

.PHONY: dist
dist: html pdf

.PHONY: doc
doc: html pdf

.PHONY: check
check:
	@$(CHECK)

.PHONY: html_chunked
html_chunked: html-stamp

html-stamp: $(DOCFILES) Makefile 
	@rm -rf html
	@mkdir html
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
	touch html-stamp

.PHONY: html
html: ${HTMLFILE}

${HTMLFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) \
		 --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)

.PHONY: fo
fo: ${FOFILE}

${FOFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)

.PHONY: pdf
pdf: ${PDFFILE}

${PDFFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -pdf $(PDFFILE) > /dev/null

.PHONY: dvi
dvi: ${DVIFILE}

.PHONY: ps
ps: ${PSFILE}

${PSFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -ps $(PSFILE) > /dev/null


.PHONY: txt
txt: ${TXTFILE}

${TXTFILE}: ${HTMLFILE}
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)
	w3m -dump ${HTMLFILE} > ${TXTFILE}

.PHONY: clean
clean: 
	@rm -f *~ *.bak *.orig \#*\# .\#* texput.log
	@rm -rf html $(PSFILE) $(HTMLFILE) $(PDFFILE) html-stamp
	@rm -f $(TMPFILES) $(FOFILE)
	@rm -f  $(DVIFILE) $(TXTFILE)

.PHONY: distclean
distclean: clean

$(BOOK_VERSION_SOURCE): book-version

book-version:
	@if $(SVNVERSION) . > /dev/null; then \
	echo '<!ENTITY svn.version "Draft Revision '`$(SVNVERSION) .`'">' > $(BOOK_VERSION_SOURCE).tmp; \
	else \
	echo '<!ENTITY svn.version "Draft">' > $(BOOK_VERSION_SOURCE).tmp; \
	fi
	@if cmp -s $(BOOK_VERSION_SOURCE) $(BOOK_VERSION_SOURCE).tmp; then \
	rm $(BOOK_VERSION_SOURCE).tmp; \
	else \
	mv $(BOOK_VERSION_SOURCE).tmp $(BOOK_VERSION_SOURCE); \
	fi

## trac 0.12.2

=== Makefile ===
#          Makefile for testing Trac (see doc/dev/testing.rst)
#
#          Some i18n tasks are also supported, see HELP below.
# ----------------------------------------------------------------------------
#
# Note that this is a GNU Makefile.
# nmake and other abominations are not supported.
#
# ----------------------------------------------------------------------------

define HELP

 Please use `make <target>' where <target> is one of: 

  clean               delete all compiled files 
  status              show which Python is used and other infos

  [python=...]        variable for selecting Python version

 ---------------- Testing tasks

  unit-test           run unit tests
  functional-test     run functional tests
  test-wiki           shortcut for running all wiki unit tests
  test                run all tests
  coverage            run all tests, under coverage
  figleaf             run all tests, under figleaf

  [db=...]            variable for selecting database backend
  [test=...]          variable for selecting a single test file
  [testopts=...]      variable containing extra options for running tests
  [coverageopts=...]  variable containing extra options for coverage

 ---------------- Standalone test server

  server              start tracd

  [port=...]          variable for selecting the port
  [auth=...]          variable for specifying authentication
  [env=...]           variable for the trac environment or parent dir
  [tracdopts=...]     variable containing extra options for tracd

 ---------------- L10N tasks

  init-xy             create catalogs for given xy locale

  extraction          regenerate the catalog templates

  update              update all the catalog files from the templates
  update-xy           update the catalogs for the xy locale only

  compile             compile all the catalog files
  compile-xy          compile the catalogs for the xy locale only

  check               verify all the catalog files
  check-xy            verify the catalogs for the xy locale only

  stats               detailed translation statistics for all catalogs
  stats-pot           total messages in the catalog templates
  stats-xy            translated, fuzzy, untranslated for the xy locale only

  summary             display percent translated for all catalogs
  summary-xy          display percent translated for the xy locale only
                      (suitable for a commit message)

  diff                show relevant changes after an update for all catalogs
  diff-xy             show relevant changes after an update for the xy locale

  [locale=...]        variable for selecting a set of locales

endef
export HELP

# ` (keep emacs font-lock happy)

# ----------------------------------------------------------------------------
#
# Main targets

.PHONY: all help status clean clean-bytecode clean-mo

ifdef test
all: status
	python $(test) $(testopts)
else
all: help
endif

help:
	@echo "$$HELP"

status:
	@echo -n "Python version: "
	@python -V
	@echo -n "figleaf: "
	@-which figleaf 2>/dev/null || echo 
	@echo -n "coverage: "
	@-which coverage 2>/dev/null || echo 
	@echo "PYTHONPATH=$$PYTHONPATH"
	@echo "TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
	@echo "server-options=$(server-options)"

Trac.egg-info: status
	python setup.py egg_info

clean: clean-bytecode clean-figleaf clean-coverage

clean-bytecode:
	find -name \*.py[co] -exec rm {} \;

Makefile Makefile.cfg: ;

# ----------------------------------------------------------------------------
#
# Copy Makefile.cfg.sample to Makefile.cfg and adapt to your local environment,
# no customizations to the present Makefile should be necessary.
#
#
-include Makefile.cfg
#
# ----------------------------------------------------------------------------


# ----------------------------------------------------------------------------
#
# L10N related tasks

ifdef locale
    locales = $(locale)
else
    locales = $(wildcard trac/locale/*/LC_MESSAGES/messages.po)
    locales := $(subst trac/locale/,,$(locales))
    locales := $(subst /LC_MESSAGES/messages.po,,$(locales))
    locales := $(sort $(locales))
endif

messages.po = trac/locale/$(*)/LC_MESSAGES/messages.po
messages-js.po = trac/locale/$(*)/LC_MESSAGES/messages-js.po
messages.pot = trac/locale/messages.pot
messages-js.pot = trac/locale/messages-js.pot

.PHONY: extract extraction update compile check stats summary diff

init-%:
	@[ -e $(messages.po) ] \
	 && echo "$(messages.po) already exists" \
	 || python setup.py init_catalog -l $(*)
	@[ -e $(messages-js.po) ] \
	 && echo "$(messages-js.po) already exists" \
	 || python setup.py init_catalog_js -l $(*)

extract extraction:
	python setup.py extract_messages extract_messages_js

update-%:
	python setup.py update_catalog -l $(*) update_catalog_js -l $(*)

ifdef locale
update: $(addprefix update-,$(locale))
else
update:
	python setup.py update_catalog update_catalog_js
endif

compile-%:
	python setup.py compile_catalog -l $(*) \
	    compile_catalog_js -l $(*) generate_messages_js -l $(*)

ifdef locale
compile: $(addprefix compile-,$(locale))
else
compile:
	python setup.py compile_catalog compile_catalog_js
endif

check: pre-check $(addprefix check-,$(locales))
	@echo "All catalogs checked are OK"

pre-check:
	@echo "checking catalogs for $(locales)..."

check-%:
	@echo -n "$(@): "
	@msgfmt --check $(messages.po) && msgfmt --check $(messages-js.po) \
	 && echo OK
	@rm -f messages.mo

stats: pre-stats $(addprefix stats-,$(locales))

pre-stats: stats-pot
	@echo "translation statistics for $(locales)..."

stats-pot:
	@echo "translation statistics for catalog templates:"
	@echo -n "messages.pot: "; msgfmt --statistics $(messages.pot)
	@echo -n "messages-js.pot: "; msgfmt --statistics $(messages-js.pot) 

stats-%:
	@echo -n "messages.po: "; msgfmt --statistics $(messages.po)
	@[ -e $(messages-js.po) ] \
	 && echo -n "messages-js.po: "; msgfmt --statistics $(messages-js.po) \
	 || echo "$(messages-js.po) doesn't exist (make init-$(*))"

summary: $(addprefix summary-,$(locales))

define untranslated-sh
LC_ALL=C msgfmt --statistics $(1) 2>&1 \
  | tail -1 \
  | sed -e 's/0 translated messages, \([0-9]*\) un.*/\1/'
endef

define translated-sh
{ LC_ALL=C msgfmt --statistics $(1) 2>&1 || echo 0; } \
    | tail -1 \
    | sed -e 's/[^0-9]*\([0-9]*\) translated.*/\1/'
endef

MESSAGES_TOTAL = \
    $(eval MESSAGES_TOTAL := ( \
        $(shell $(call untranslated-sh,$(messages.pot))) + \
        $(shell $(call untranslated-sh,$(messages-js.pot)))))\
    $(MESSAGES_TOTAL)

summary-%:
	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
	    % (($(shell $(call translated-sh,$(messages.po))) + \
	        $(shell $(call translated-sh,$(messages-js.po)))) * 100.0 \
	       / $(MESSAGES_TOTAL))"

diff: $(addprefix diff-,$(locales))


diff-%:
	@svn diff trac/locale/$(*) \
	    | grep -Ev '^([-+]#:|[@ ])' | grep -E '^[-+@]' || true

clean-mo:
	find trac/locale -name \*.mo -exec rm {} \;
	find trac/htdocs/js/messages -name \*.js -exec rm {} \;


# ----------------------------------------------------------------------------
#
# Testing related tasks

.PHONY: test unit-test functional-test test-wiki

test: unit-test functional-test

unit-test: Trac.egg-info
	python ./trac/test.py --skip-functional-tests $(testopts)

functional-test: Trac.egg-info
	python trac/tests/functional/__init__.py -v $(testopts)

test-wiki:
	python trac/tests/allwiki.py $(testopts)

# ----------------------------------------------------------------------------
#
# Coverage related tasks
#
# (see http://nedbatchelder.com/code/coverage/)

.PHONY: coverage clean-coverage show-coverage

coverage: clean-coverage test-coverage show-coverage

clean-coverage:
	coverage erase
	@rm -fr htmlcov

ifdef test
test-coverage:
	coverage run $(test) $(testopts)
else
test-coverage: unit-test-coverage functional-test-coverage
endif

unit-test-coverage:
	coverage run -a $(coverageopts) trac/test.py --skip-functional-tests

functional-test-coverage:
	FIGLEAF='coverage run -a $(coverageopts)' python \
	    trac/tests/functional/testcases.py -v

show-coverage: htmlcov/index.html
	#coverage report

htmlcov/index.html:
	coverage html \
	    --omit=$(subst $(space),$(comma),$(wildcard trac/*/templates)),trac/templates

# ----------------------------------------------------------------------------
#
# Figleaf based coverage tasks 
#
# (see http://darcs.idyll.org/~t/projects/figleaf/doc/)
#
# ** NOTE: there are still several issues with this **
#  - as soon as a DocTestSuite is run, figleaf gets confused
#  - functional-test-figleaf is broken (no .figleaf generated)

.PHONY: figleaf clean-figleaf show-figleaf

figleaf: clean-figleaf test-figleaf show-figleaf

clean-figleaf:
	rm -f .figleaf* *.figleaf
	rm -fr figleaf

show-figleaf: figleaf/index.html

figleaf/index.html: $(wildcard *.figleaf)
	figleaf2html \
	    --output-directory=figleaf \
	    --exclude-patterns=trac/tests/figleaf-exclude \
	    *.figleaf


.PHONY: test-figleaf  unit-test-figleaf functional-test-figleaf

test-figleaf: unit-test-figleaf functional-test-figleaf

unit-test-figleaf: unit-test.figleaf

functional-test-figleaf: functional-test.figleaf


functional-test.figleaf: Trac.egg-info
	rm -f .figleaf
	FIGLEAF=figleaf python trac/tests/functional/testcases.py -v
	@mv .figleaf $(@)

unit-test.figleaf: Trac.egg-info
	rm -f .figleaf
	figleaf trac/test.py --skip-functional-tests
	@mv .figleaf $(@)


# ----------------------------------------------------------------------------
#
# Tracd related tasks

port ?= 8000
tracdopts ?= -r

define server-options
 $(if $(port),-p $(port))\
 $(if $(auth),-a '$(auth)')\
 $(tracdopts)\
 $(if $(wildcard $(env)/VERSION),$(env),-e $(env))
endef

server: Trac.egg-info
ifdef env
	python trac/web/standalone.py $(server-options)
else
	@echo "\`env' variable was not specified. See \`make help'."
endif

# ----------------------------------------------------------------------------
#
# Setup environment variables

python-home := $(python.$(if $(python),$(python),$($(db).python)))

ifeq "$(OS)" "Windows_NT"
    ifndef python-home
        # Detect location of current python 
        python-exe := $(shell python -c 'import sys; print sys.executable')
        python-home := $(subst \python.exe,,$(python-exe))
    endif
    SEP = ;
    python-bin = $(python-home)$(SEP)$(python-home)/Scripts
else
    SEP = :
endif

ifdef python-bin
    export PATH := $(python-bin)$(SEP)$(PATH)
endif
export PYTHONPATH := .$(SEP)$(PYTHONPATH)
export TRAC_TEST_DB_URI = $($(db).uri)

# Misc.
space = $(empty) $(empty)
comma = ,
# ----------------------------------------------------------------------------

=== debian/changelog ===
trac (0.12.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #563391) (LP: #696284)
    - fixes search highlighting (Closes: #621488)
  * Drop 15_remove_jquery_file.dpatch because Trac requires a specific
    version of jQuery (Closes: #592734, #610557) (LP: #526810, #610205).
    (also drop postinst and prerm code for using the provided version)
  * Drop 40_timeline_author_filter.dpatch: fixed upstream.
  * Drop 60_fix_nameerror.dpatch: fixed upstream.
  * Drop 70_cache_control_typo.dpatch: fixed upstream
  * Drop 80_correct_plugin_names.dpatch: upstream changed mechanism which
    probably also fixes the original issue.
  * Switch to 3.0 (quilt) source format.
  * Update Vcs-Browser field (Closes: #629651).
  * Moved packaging from python-central to dh_python2 (Closes: #617126).
  * Dropped conflicts on libapache2-mod-python2.3 because that package was
    removed before the lenny release.
  * Switch to dh-style debian/rules.
  * Bump standards-version to 3.9.2; no changes required.
  * No longer include empty /etc/trac directory.
  * Re-organise dependencies, removing deprecated things and adding things
    for Trac 0.12.
  * Make package lintian clean.
  * Update debian/copyright file.

 -- Arthur de Jong <adejong@debian.org>  Wed, 13 Jul 2011 23:00:00 +0200

trac (0.11.7-4) unstable; urgency=low

  * No longer reference site-packages (Closes: #588136, #591593).
    Thanks to Ara Pulido <ara@ubuntu.com> for reporting and patch.
  * Use changeset 9403, missing imports (Closes: #583154).
    Thanks to Anatoly <techtonik@php.net>.
  * Lintian cleanups in debian/control.
  * New policy version, no changes.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 04 Aug 2010 20:26:31 +0000

trac (0.11.7-3) unstable; urgency=low

  * Correced accidently moved DEBHELPER line (Closes: #576988).
    Thanks to Marc J. Driftmeyer <mjd@reanimality.com>.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Apr 2010 19:56:26 +0000

trac (0.11.7-2) unstable; urgency=low

  * Removed Luis and Jesus from uploaders. Thanks for your work!
  * Create symlink for jquery.js (Closes: #495053). Thanks to
    Max V. Stotsky" <ms@pereslavl.ru>.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Apr 2010 08:25:08 +0000

trac (0.11.7-1) unstable; urgency=low

  * New upstream release (Closes: #573260).
  * Added more Trac plugins as suggestions.
  * Removed obsolete patches.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 17 Feb 2010 08:38:41 +0100

trac (0.11.6-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Replace deprecated > operator with >=.
  [ W. Martin Borgert ]
  * Fix problem with wrong plugin names (Closes: #562963). Thanks to
    Anatoly Techtonik <techtonik@gmail.com> for providing the patch.
  * Added some Trac plugins as suggestions.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Feb 2010 13:06:32 +0000

trac (0.11.6-2) unstable; urgency=low

  * Create jQuery symlink at install time, as the file might not
    exist at that moment. (Closes: #562145). Thanks, Clint Adams.
  * Fix a typo in tracd HTTP header, thanks to Sebastien Couret
    for fixing. (Closes: #561406).

 -- W. Martin Borgert <debacle@debian.org>  Thu, 24 Dec 2009 08:43:08 +0000

trac (0.11.6-1) unstable; urgency=low

  * New upstream release (Closes: #558976).
  * Fix version of build dependency (Closes: #551688), thanks, Kumar Appaiah.
  * Fix a potential pysqlite cursor problem, thanks, Grzegorz Sobanski.
    See debian/patches/60_roadmap_dbx_cursor_fix.dpatch

 -- W. Martin Borgert <debacle@debian.org>  Mon, 07 Dec 2009 17:19:33 +0000

trac (0.11.5-5) unstable; urgency=low

  * Include SqliteToPg script in contrib (Closes: #505680).
  * Advice user to restart HTTPD after upgrade in README.Debian
    (Closes: #519670).
  * Add patch to support user filter for timeline (Closes: #550469).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 10 Oct 2009 12:00:50 +0000

trac (0.11.5-4) unstable; urgency=low

  * Revert the change: Depend on python-setuptools instead of
    python-pkg-resources (Closes: #546426). In theory setuptools
    should not be needed (only used in env.py and requires.txt).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 29 Sep 2009 01:34:38 +0200

trac (0.11.5-3) unstable; urgency=low

  [ W. Martin Borgert ]
  * Improved package description.
  * Fixed another lintian.
  * Use python.mk and its macros py_setup_install_args and py_libdir_sh
    for Python 2.6, thanks to Chris Coulson <chrisccoulson@ubuntu.com>
    for the patch (Closes: #547865).
  * Relax dependencies on JQuery and Subversion (Closes: #547450).
  * Depend on python-pkg-resources instead of python-setuptools
    (Closes: #546426).
  * Add suggestions for trac-accountmanager and trac-email2trac.
  * Add some words about sqlite upgrade to README.Debian
    (Closes: #501338).
  * Use UTF-8 as default charset instead of ISO-8859-15.

  [ anatoly techtonik ]
  * README.Debian update for 0.11.x
    - Trac can work without repository
    - warn that CGI setup is sluggish
    - other minor edits

 -- W. Martin Borgert <debacle@debian.org>  Mon, 28 Sep 2009 20:27:54 +0000

trac (0.11.5-2) unstable; urgency=low

  * Set exec bit for *_frontends (Closes: #510441), thanks to Torsten
    Landschoff for the patch.
  * Move python-psycopg2 and python-mysql from Suggests to Depends as
    alternative to python-psqlite2 (Closes: #513117).
  * Use debhelper 7 (Closes: #497862).
  * Don't compress *-hook files and don't install MS-Windows *.cmd
    files (Closes: #526142), thanks to Jan Dittberner for the patch.
  * Add README.source to point to dpatch.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 15 Sep 2009 21:43:38 +0000

trac (0.11.5-1) unstable; urgency=low

  * New upstream release (Closes: #521513).
  * Fixed pysqlite dependency (Closes: #518560), thanks to Alban
    Browaeys for the patch.
  * Fixed missing contrib files (Closes: #495019), thanks to Alexander
    Gerasiov for the patch.


=== debian/control ===
Source: trac
Section: web
Priority: optional
Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6)
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, W. Martin Borgert <debacle@debian.org>
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/trac/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/trac/trunk/
X-Python-Version: >= 2.5
Homepage: http://trac.edgewall.com

Package: trac
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-setuptools (>= 0.6),
         python-genshi (>= 0.6)
Recommends: apache2 | httpd, python-subversion, python-pygments (>= 0.6),
            python-tz, python-babel (>= 0.9.5), python-docutils (>= 0.3.9)
Suggests: libapache2-mod-wsgi, python-textile (>= 2.0),
          trac-git, trac-spamfilter, trac-bzr (>= 0.2+bzr45),
          trac-mercurial (>= 0.11.0.4), trac-accountmanager, trac-email2trac,
          trac-xmlrpc, trac-wysiwyg, trac-mastertickets, trac-customfieldadmin,
          trac-bitten, trac-authopenid, trac-graphviz, trac-wikirename,
          trac-wikiprint, trac-ja-resource
Description: Enhanced wiki and issue tracking system for software development projects
 Trac uses a minimalistic approach to web-based software project management.
 Its mission is to help developers write great software while staying out of
 the way. Trac should impose as little as possible on a team's established
 development process and policies.
 It provides an interface to Subversion (or other version control systems),
 an integrated Wiki and convenient reporting facilities.
 Trac allows wiki markup in issue descriptions and commit messages, creating
 links and seamless references between bugs, tasks, changesets, files and
 wiki pages. A timeline shows all current and past project events in order,
 making the acquisition of an overview of the project and tracking progress
 very easy. The roadmap shows the road ahead, listing the upcoming milestones.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_compress:
	dh_compress -X.py -X-hook

override_dh_fixperms:
	dh_fixperms
	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py

## trac 0.12.3

=== debian/changelog ===
trac (0.12.3-1) unstable; urgency=low

  * new upstream version (Closes: #658963)
  * remove embedded jQuery copy, again (Closes: #645235)
  * new policy version, no changes
  * suggest python-psycopg2, add some hints about using Trac with
    PostgreSQL in README.Debian
  [ Daniel Kahn Gillmor <dkg@fifthhorseman.net> ]
  * add Build-Dep on python-babel so that translations will be shipped
    (Closes: #644401)

 -- W. Martin Borgert <debacle@debian.org>  Thu, 31 May 2012 20:55:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: trac
 Section: web
 Priority: optional
-Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~)
-Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6)
+Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~), libjs-jquery
+Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6), python-babel (>= 0.9.5)
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Otavio Salvador <otavio@debian.org>, W. Martin Borgert <debacle@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3.1
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/trac/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/trac/trunk/
 X-Python-Version: >= 2.5
@@ -14,7 +14,7 @@
 Package: trac
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-setuptools (>= 0.6),
-         python-genshi (>= 0.6)
+         python-genshi (>= 0.6), libjs-jquery
 Recommends: apache2 | httpd, python-subversion, python-pygments (>= 0.6),
             python-tz, python-babel (>= 0.9.5), python-docutils (>= 0.3.9)
 Suggests: libapache2-mod-wsgi, python-textile (>= 2.0),
@@ -22,7 +22,7 @@
           trac-mercurial (>= 0.11.0.4), trac-accountmanager, trac-email2trac,
           trac-xmlrpc, trac-wysiwyg, trac-mastertickets, trac-customfieldadmin,
           trac-bitten, trac-authopenid, trac-graphviz, trac-wikirename,
-          trac-wikiprint, trac-ja-resource
+          trac-wikiprint, trac-ja-resource, python-psycopg2
 Description: Enhanced wiki and issue tracking system for software development projects
  Trac uses a minimalistic approach to web-based software project management.
  Its mission is to help developers write great software while staying out of

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
 	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
 	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py
+
+override_dh_install:
+	dh_install --exclude=jquery.js

## trac 0.12.4

=== Makefile ===
--- 
+++ 
@@ -181,9 +181,7 @@
 
 check-%:
 	@echo -n "$(@): "
-	@msgfmt --check $(messages.po) && msgfmt --check $(messages-js.po) \
-	 && echo OK
-	@rm -f messages.mo
+	@python setup.py check_catalog -l $(*) check_catalog_js -l $(*)
 
 stats: pre-stats $(addprefix stats-,$(locales))

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = env PYTHONPATH=".." sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck upload pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web .build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

pdf: latex
	make -C .build/latex all-pdf
	cp .build/latex/*.pdf .build

=== debian/changelog ===
trac (0.12.4-1) experimental; urgency=low

  [ W. Martin Borgert <debacle@debian.org> ]
  * New upstream 0.12.4 (long term support).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Oct 2012 12:05:25 +0000

## trac 0.12.5

=== Makefile ===
--- 
+++ 
@@ -65,6 +65,7 @@
 
   diff                show relevant changes after an update for all catalogs
   diff-xy             show relevant changes after an update for the xy locale
+  [vc=...]            variable containing the version control command to use 
 
   [locale=...]        variable for selecting a set of locales
 
@@ -141,6 +142,7 @@
 
 .PHONY: extract extraction update compile check stats summary diff
 
+
 init-%:
 	@[ -e $(messages.po) ] \
 	 && echo "$(messages.po) already exists" \
@@ -149,9 +151,11 @@
 	 && echo "$(messages-js.po) already exists" \
 	 || python setup.py init_catalog_js -l $(*)
 
+
 extract extraction:
 	python setup.py extract_messages extract_messages_js
 
+
 update-%:
 	python setup.py update_catalog -l $(*) update_catalog_js -l $(*)
 
@@ -161,6 +165,7 @@
 update:
 	python setup.py update_catalog update_catalog_js
 endif
+
 
 compile-%:
 	python setup.py compile_catalog -l $(*) \
@@ -173,6 +178,7 @@
 	python setup.py compile_catalog compile_catalog_js
 endif
 
+
 check: pre-check $(addprefix check-,$(locales))
 	@echo "All catalogs checked are OK"
 
@@ -182,6 +188,7 @@
 check-%:
 	@echo -n "$(@): "
 	@python setup.py check_catalog -l $(*) check_catalog_js -l $(*)
+
 
 stats: pre-stats $(addprefix stats-,$(locales))
 
@@ -194,10 +201,12 @@
 	@echo -n "messages-js.pot: "; msgfmt --statistics $(messages-js.pot) 
 
 stats-%:
-	@echo -n "messages.po: "; msgfmt --statistics $(messages.po)
+	@echo -n "$(*) messages.po: "; msgfmt --statistics $(messages.po)
 	@[ -e $(messages-js.po) ] \
-	 && echo -n "messages-js.po: "; msgfmt --statistics $(messages-js.po) \
+	 && echo -n "$(*) messages-js.po: "; \
+	    msgfmt --statistics $(messages-js.po) \
 	 || echo "$(messages-js.po) doesn't exist (make init-$(*))"
+
 
 summary: $(addprefix summary-,$(locales))
 
@@ -213,24 +222,30 @@
     | sed -e 's/[^0-9]*\([0-9]*\) translated.*/\1/'
 endef
 
-MESSAGES_TOTAL = \
-    $(eval MESSAGES_TOTAL := ( \
-        $(shell $(call untranslated-sh,$(messages.pot))) + \
-        $(shell $(call untranslated-sh,$(messages-js.pot)))))\
-    $(MESSAGES_TOTAL)
+define compute_total_messages
+$(eval MESSAGES_TOTAL := \
+    ($(shell $(call untranslated-sh,$(messages.pot))) + \
+     $(shell $(call untranslated-sh,$(messages-js.pot)))))\
+$(info The catalog templates contain: $(MESSAGES_TOTAL) messages.)
+endef
+
+MESSAGES_TOTAL = $(compute_total_messages)$(MESSAGES_TOTAL)
 
 summary-%:
 	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
-	    % (($(shell $(call translated-sh,$(messages.po))) + \
-	        $(shell $(call translated-sh,$(messages-js.po)))) * 100.0 \
-	       / $(MESSAGES_TOTAL))"
+	    % (($(shell $(call translated-sh,$(messages.po))) \
+	      + $(shell $(call translated-sh,$(messages-js.po)))) * 100.0 \
+	      / $(MESSAGES_TOTAL))"
+
 
 diff: $(addprefix diff-,$(locales))
 
+vc ?= svn
 
 diff-%:
-	@svn diff trac/locale/$(*) \
+	@$(vc) diff trac/locale/$(*) \
 	    | grep -Ev '^([-+]#:|[@ ])' | grep -E '^[-+@]' || true
+
 
 clean-mo:
 	find trac/locale -name \*.mo -exec rm {} \;

=== debian/changelog ===
trac (0.12.5-3) unstable; urgency=low

  * apply a fix from upstream to fix svn blame and suggest when using
    newer jquery (Closes: #704607)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Apr 2013 17:03:12 -0400

trac (0.12.5-2) unstable; urgency=low

  * Move to unstable, trying to target a wheezy point release
  * Standards-Version: bumped to 3.9.4 (no changes needed)
  * added myself to Uploaders

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Apr 2013 13:46:52 -0400

trac (0.12.5-1) experimental; urgency=low

  [ W. Martin Borgert <debacle@debian.org> ]
  * New upstream 0.12.5 (long term support).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 24 Feb 2013 19:03:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Build-Depends: python-genshi (>= 0.6), debhelper (>= 7.0.50~), libjs-jquery
 Build-Depends-Indep: python (>= 2.6.6-3~), python-setuptools (>= 0.6), python-babel (>= 0.9.5)
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>, W. Martin Borgert <debacle@debian.org>
-Standards-Version: 3.9.3.1
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/trac/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/trac/trunk/
+Uploaders: Otavio Salvador <otavio@debian.org>,
+           W. Martin Borgert <debacle@debian.org>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
 X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com
